Subject: Re: e1000 driver and samba

From: "Kok, Auke" <[email-masked]>
Date: Sun, 16 Sep 2007 13:03:31 -0700

James Chapman wrote:
> Kok, Auke wrote:
>> James Chapman wrote:
>>> Kok, Auke wrote:
> 
>>>>>      rx_long_byte_count: 34124849453
>>>
>>> Are these long frames expected in your network? What is the MTU of
>>> the transmitting clients? Perhaps this might explain why reads work
>>> (because data is coming from the Linux box so the packets have
>>> smaller MTU) while writes cause delays or packet loss because the
>>> clients are sending long frames which are getting fragmented?
>>
>> those are not "long frames" but the number of bytes the hardware
>> counted in its "long" data type based byte counter.
> 
> Thanks for correcting me, Auke.
> 
> Should this counter be renamed to avoid someone else making this mistake
> in the future? Just a thought.

well, that would break tools that read this value. And for all of these stats
we can say that you should read our SDM's to figure out what they really
mean anyway, hence my caution to interpret the other value at first.

Auke